> ## Name

> cgGetNextTechnique - iterate through techniques in a effect

> ## Synopsis

>     #include <Cg/cg.h>

>     CGtechnique cgGetNextTechnique( CGtechnique tech );

> ## Parameters

> tech
>   The current technique.

> ## Return Values

> Returns the next technique in the effect's internal sequence of techniques.

> Returns NULL when tech is the last technique in the effect.

> ## Description

> The techniques within a effect can be iterated over using cgGetNextTechnique.

> Note that no specific order of traversal is defined by this mechanism. The only guarantee is that each technique will be visited exactly once.

> ## Examples

>     CGtechnique tech = cgGetFirstTechnique( effect );
>     while( tech )
>     {
>       /* do something with tech */
>       tech = cgGetNextTechnique( tech );
>     }

> ## Errors

> CG_INVALID_TECHNIQUE_HANDLE_ERROR is generated if tech is not a valid technique.

> ## History

> cgGetNextTechnique was introduced in Cg 1.4.

> ## See Also

> cgGetFirstTechnique, cgGetNamedTechnique